#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'slideshowcfg.ui'
**
** Created: 2012-11-09T16:33:33
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "slideshowcfg.h"

#include <qvariant.h>
#include <qcheckbox.h>
#include <kurlrequester.h>
#include <qlabel.h>
#include <qspinbox.h>
#include <qframe.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a SlideShowCfg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
SlideShowCfg::SlideShowCfg( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "Form1" );
    Form1Layout = new QGridLayout( this, 1, 1, 0, 6, "Form1Layout"); 

    mCbxSubdirectory = new QCheckBox( this, "mCbxSubdirectory" );

    Form1Layout->addMultiCellWidget( mCbxSubdirectory, 7, 7, 0, 3 );

    mCbxRandom = new QCheckBox( this, "mCbxRandom" );

    Form1Layout->addMultiCellWidget( mCbxRandom, 1, 1, 0, 2 );

    mDirChooser = new KURLRequester( this, "mDirChooser" );

    Form1Layout->addMultiCellWidget( mDirChooser, 6, 6, 2, 4 );

    mCbxZoom = new QCheckBox( this, "mCbxZoom" );

    Form1Layout->addMultiCellWidget( mCbxZoom, 0, 0, 0, 2 );
    spacer9 = new QSpacerItem( 161, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Form1Layout->addItem( spacer9, 7, 4 );

    textLabel1 = new QLabel( this, "textLabel1" );

    Form1Layout->addMultiCellWidget( textLabel1, 6, 6, 0, 1 );

    mCbxShowName = new QCheckBox( this, "mCbxShowName" );

    Form1Layout->addMultiCellWidget( mCbxShowName, 2, 2, 0, 2 );
    spacer11 = new QSpacerItem( 20, 19, QSizePolicy::Minimum, QSizePolicy::Expanding );
    Form1Layout->addItem( spacer11, 5, 1 );

    mDelay = new QSpinBox( this, "mDelay" );
    mDelay->setMaxValue( 240 );
    mDelay->setMinValue( 1 );

    Form1Layout->addMultiCellWidget( mDelay, 4, 4, 1, 2 );

    textLabel1_2 = new QLabel( this, "textLabel1_2" );

    Form1Layout->addWidget( textLabel1_2, 4, 0 );

    mCbxRandomPosition = new QCheckBox( this, "mCbxRandomPosition" );

    Form1Layout->addMultiCellWidget( mCbxRandomPosition, 3, 3, 0, 2 );

    mPreview = new QFrame( this, "mPreview" );
    mPreview->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, mPreview->sizePolicy().hasHeightForWidth() ) );
    mPreview->setFrameShape( QFrame::NoFrame );
    mPreview->setFrameShadow( QFrame::Plain );

    Form1Layout->addMultiCellWidget( mPreview, 0, 5, 3, 4 );
    languageChange();
    resize( QSize(400, 243).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( mCbxZoom, SIGNAL( toggled(bool) ), mCbxRandomPosition, SLOT( setDisabled(bool) ) );

    // buddies
    textLabel1->setBuddy( mDirChooser );
    textLabel1_2->setBuddy( mDelay );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SlideShowCfg::~SlideShowCfg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SlideShowCfg::languageChange()
{
    mCbxSubdirectory->setText( tr2i18n( "&Include images from sub-folders" ) );
    mCbxRandom->setText( tr2i18n( "&Random order" ) );
    mCbxZoom->setText( tr2i18n( "Resi&ze images" ) );
    textLabel1->setText( tr2i18n( "I&mage folder:" ) );
    mCbxShowName->setText( tr2i18n( "Show &names" ) );
    mDelay->setSuffix( tr2i18n( " sec" ) );
    mDelay->setSpecialValueText( QString::null );
    textLabel1_2->setText( tr2i18n( "&Delay:" ) );
    mCbxRandomPosition->setText( tr2i18n( "Random &position" ) );
}

/****************************************************************************
** SlideShowCfg meta object code from reading C++ file 'slideshowcfg.h'
**
** Created: Fri Nov 9 16:33:33 2012
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "slideshowcfg.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *SlideShowCfg::className() const
{
    return "SlideShowCfg";
}

QMetaObject *SlideShowCfg::metaObj = 0;
static QMetaObjectCleanUp cleanUp_SlideShowCfg( "SlideShowCfg", &SlideShowCfg::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString SlideShowCfg::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "SlideShowCfg", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString SlideShowCfg::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "SlideShowCfg", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* SlideShowCfg::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"SlideShowCfg", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_SlideShowCfg.setMetaObject( metaObj );
    return metaObj;
}

void* SlideShowCfg::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "SlideShowCfg" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool SlideShowCfg::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool SlideShowCfg::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool SlideShowCfg::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool SlideShowCfg::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
